# ConfirmationDialogConfiguration class

Confirmation Dialog configuration

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, createToJson: true, explicitToJson: true)

## Constructors

ConfirmationDialogConfiguration({bool? resultWithConfirmationEnabled, BarcodeDialogFormat? dialogTextFormat, DialogStyle? confirmationDialogStyle, String? confirmButtonTitle, DialogButtonStyle? confirmationDialogConfirmButtonStyle, String? retryButtonTitle, DialogButtonStyle? confirmationDialogRetryButtonStyle, String? dialogTitle, String? dialogMessage, Color? dialogButtonsAccentColor, bool? confirmButtonFilled, Color? confirmButtonFilledTextColor})

## Properties

confirmationDialogConfirmButtonStyle ↔ DialogButtonStyle?
  The style of the confirmation dialogs confirm button. iOS only.
  getter/setter pair
confirmationDialogRetryButtonStyle ↔ DialogButtonStyle?
  The style of the confirmation dialogs retry button. iOS only.
  getter/setter pair
confirmationDialogStyle ↔ DialogStyle?
  The style of the confirmation dialog. iOS only.
  getter/setter pair
confirmButtonFilled ↔ bool?
  Allows to set if the confirm button should be filled. Defaults to TRUE. Android only.
  getter/setter pair
confirmButtonFilledTextColor ↔ Color?
  Allows to set a text color of the filled button. See `confirmationDialogConfirmButtonFilled`. Android only.
  getter/setter pair
confirmButtonTitle ↔ String?
  The title of the confirmation dialog confirm button.
  getter/setter pair
dialogButtonsAccentColor ↔ Color?
  The accent color of buttons on a confirmation dialog. Android only.
  getter/setter pair
dialogMessage ↔ String?
  The message text of the confirmation dialog.
  getter/setter pair
dialogTextFormat ↔ BarcodeDialogFormat?
  The text format of the result dialog. Defaults to TYPE_AND_CODE.
  getter/setter pair
dialogTitle ↔ String?
  The title of the confirmation dialog.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
resultWithConfirmationEnabled ↔ bool?
  Defines, if the confirmation dialog should be displayed or not before returing the results to the delegate. Defaults to False.
  getter/setter pair
retryButtonTitle ↔ String?
  The title of the confirmation dialog retry button.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited